Description

Good evening

Since the very recent update, it is no longer possible to drag and drop, whether a single file (FLAC, OPUS, MP3, WAV, ...) or an

entire folder

I never had this problem before and I find myself stuck

I tried to find a solution but I don't see what I could do

Reading files is not affected, you can start playing by right-clicking the file (or select multiple files) and to "open with Audacious"

But having a library exceeding 300,000 titles is a bit annoying and slower

Can you fix this bug in a future release ?

Thank you

History

#1 - April 11, 2020 02:41 - John Lindgren

Are you using the Winamp Classic interface? If so, you may want to continue using a GTK-enabled build for now (as suggested in the 4.0 release

notes).

#2 - April 13, 2020 22:03 - ARCH 102

- File Screenshot_20200413_225642.png added

Good evening, yes I have been using the Winamp Classic interface for years

From your advice, I use the GTK + version

I was starting to get used to this interface, but since this evening, I have encountered a bug

All that is playback control, volume control suddenly disappeared, however I did nothing else than to click on the icon of Audacious to launch it ...

I found it weird so I looked for a solution, looked at the parameters ... I found nothing ...

Reading is not affected but it is quite annoying ...

Thank you

#3 - April 13, 2020 22:16 - John Lindgren

That's the Qt interface. What I meant was that you can continue using the Winamp Classic interface, but from a package that is built with GTK+ rather

than Qt.

#4 - April 13, 2020 23:20 - ARCH 102

- File Screenshot_20200414_011109.png added

I just did a little downgrade for the player and also for audacious-plugins to version 3.10.1-2 (found on Arch Linux Archive)

Everything is present, as before, the control buttons that had disappeared under version 4.0.1 are now well present (I am trying to understand why the

controls suddenly disappeared when I had done nothing special)
This is the best solution I have found in the meantime

The other readers are good but I am too attached to Audacious and too used to this reader (I use since 2011 I think ... it's been so long)

Thank you :)

#5 - April 14, 2020 00:13 - John Lindgren

ARCH 102 wrote:

Everything is present, as before, the control buttons that had disappeared under version 4.0.1 are now well present (I am trying to understand

why the controls suddenly disappeared when I had done nothing special)

 

If you happen to figure that out, I would be interested to know. At least one other user reported the same thing happening in the Qt interface, but it's

unclear what caused it. For 4.0.2, there will be a workaround to at least make sure that a restart fixes it.

#6 - April 14, 2020 13:27 - John Lindgren

- Category set to plugins/skins-qt

- Subject changed from Drag and drop impossible (Audacious 4.0.1 ArchLinux/Manjaro) to Implement drag and drop in Qt Winamp Classic interface

- Tracker changed from Bug to Feature

#7 - April 14, 2020 18:32 - Dimo K

Is there going to be progress on this? For me drag-and-drop has stopped working both in Qt and Winamp interface after upgrading to 4.0.1.

This is a very useful feature to me. Every day I get a recordings of something from someone or create one myself, or just download an audio file from

the Internet. I was very used to just dragging these files in the playlist and listening to them to quickly check how good they are. I wish I could do that

again.

#8 - April 14, 2020 18:36 - John Lindgren

Dimo K wrote:

Is there going to be progress on this?

 

For the Winamp Classic interface? No one has volunteered yet. I don't think any of the core developers have been using the Winamp Classic

interface for a few years now.

You're welcome to take a stab at it.

#9 - April 14, 2020 18:39 - John Lindgren
Dimo K wrote:

For me drag-and-drop has stopped working both in Qt and Winamp interface after upgrading to 4.0.1.

 

It is working perfectly for me in the Qt interface. Drag-and-drop within the playlist, from the Search Tool, and from Nemo all works as expected.

If it is not working for you in the Qt interface, please create a topic on the forum and give details about your system and desktop environment, how

you installed Audacious, and what other program you are dragging from. If other users have seen the same problem, you may be able to coordinate

with them to figure out the cause.

#10 - April 22, 2020 15:19 - Dimo K

I investigated some more and it turns out it does not work in one particular case. I have created this forum post: 

https://redmine.audacious-media-player.org/boards/1/topics/2533

#11 - June 06, 2020 10:57 - Thomas Lange

Version 4.0.4 should support drag and drop again for the Qt Winamp interface. Please try this version.

https://audacious-media-player.org/news/49-audacious-4-0-4-released

#12 - June 07, 2020 02:24 - John Lindgren

- % Done changed from 0 to 100

- Status changed from New to Closed

I forgot we had a ticket open for this feature. I think we can close this.
